@echo -off																			
:: BatchGotAdmin (Run as Admin code starts)												
 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"			
if '%errorlevel%' NEQ '0' (																
echo Requesting administrative privileges...								
goto UACPrompt																			
) else ( goto gotAdmin )																	
:UACPrompt																				
echo Set UAC = CreateObject("Shell.Application") > "%temp%\getadmin.vbs"				
echo UAC.ShellExecute "%~s0", "", "", "runas", 1 >> "%temp%\getadmin.vbs" 				
"%temp%\getadmin.vbs"																		
exit /B																					
:gotAdmin																					
if exist "%temp%\getadmin.vbs" ( del "%temp%\getadmin.vbs" )								
pushd "%CD%"																				
CD /D "%~dp0"																				
:: BatchGotAdmin (Run as Admin code ends)													
:: Your codes should start from the following line                                                                                                      
WBIOSMEUpdate.exe c FlashMEWinX64.bat											
